Kirjoittaja Aihe: Gimpin raw-editori  (Luettu 4410 kertaa)

New_user

  • Käyttäjä
  • Viestejä: 1086
    • Profiili
Gimpin raw-editori
« : 22.12.18 - klo:16.08 »
Taas tämän uusiksi asennetun 16.04 ongelmia ohjelmistotasolla.

Alkup. asenuksessa oli Gimp 2.99 kehitysversio, ja siinä sai valita raw-editorin asetuksista, näkyi parhaimmillan kolme valintaa, Darktable, Corel Aftershot Pro 3 ja RawTherapee.
Nyt on Gimp 2.10 ja ei valittavissa yhtään. Näkyy vain se oletus plugin placeholder siellä asetusten tuontivalikossa.

Aftershot Pro 3:ssa voisi valita itsessään external editorin. Ehdottaa hakua /usr/bin -hakemistosta, mutta en sieltä löydä Gimpin binääriä. Missä ihmeessä se on?

raimo

  • Käyttäjä
  • Viestejä: 3276
    • Profiili
Vs: Gimpin raw-editori
« Vastaus #1 : 22.12.18 - klo:16.33 »
Koodia: [Valitse]
whereis gimp
raimo@kone-2:~$ whereis gimp
gimp: /usr/bin/gimp /usr/lib/gimp /etc/gimp /usr/share/gimp /usr/share/man/man1/gimp.1.gz


Eli kyllä se pitäisi löytyä /usr/bin -hakemistosta.
So long and thanks for all the fish!

New_user

  • Käyttäjä
  • Viestejä: 1086
    • Profiili
Vs: Gimpin raw-editori
« Vastaus #2 : 22.12.18 - klo:16.35 »
No, whereis pelasti: /snap/bin/gimp :)

New_user

  • Käyttäjä
  • Viestejä: 1086
    • Profiili
Vs: Gimpin raw-editori
« Vastaus #3 : 22.12.18 - klo:16.51 »
Tai no, ei pelastanut. Ulkoiseksi editoriksi tulee tuolta /snap/gimp -valinnalla vain snap, ja ei kuva aukea gimpiin. Huh huh!

raimo

  • Käyttäjä
  • Viestejä: 3276
    • Profiili
Vs: Gimpin raw-editori
« Vastaus #4 : 22.12.18 - klo:16.55 »
Tai no, ei pelastanut. Ulkoiseksi editoriksi tulee tuolta /snap/gimp -valinnalla vain snap, ja ei kuva aukea gimpiin. Huh huh!

 /snap/bin/gimp ?
So long and thanks for all the fish!

New_user

  • Käyttäjä
  • Viestejä: 1086
    • Profiili
Vs: Gimpin raw-editori
« Vastaus #5 : 22.12.18 - klo:19.14 »
Tai no, ei pelastanut. Ulkoiseksi editoriksi tulee tuolta /snap/gimp -valinnalla vain snap, ja ei kuva aukea gimpiin. Huh huh!

 /snap/bin/gimp ?

Jos vaikka kirjoitankin tuon oikein poluksi, ei toimi. Ei ymmärrä näitä snap-juttuja. Yritin saada gimpin 2.9.x kehitysversiota Otton gimp-edge ppa:sta, mutta siellä ei niitä enää ole. Aivan hirveä sotku nyt tuli tuon Levyt-ohjelma sotkeman fstabin takia!!!


raimo

  • Käyttäjä
  • Viestejä: 3276
    • Profiili
Vs: Gimpin raw-editori
« Vastaus #6 : 22.12.18 - klo:20.05 »
raimo@kone-2:~$ gimp --version
GNU Image Manipulation Program version 2.8.22


Ehkä 18.04:n oletusversio toimisi paremmin?
Koodia: [Valitse]
sudo apt install gimp
Sitä ennen lienee syytä poistaa tuo snap -asennus.
En osaa neuvoa miten kun olen snapistä ulkona kuin jouluinen lumiukkeli. :)

edit: Google kertoo että menee ihan näin remove:lla:
Koodia: [Valitse]
sudo snap remove gimp
edit2: sori sinulla olikin 16.04, siinä voi olla vanhempi gimp?
« Viimeksi muokattu: 22.12.18 - klo:20.09 kirjoittanut raimo »
So long and thanks for all the fish!

jekku

  • Käyttäjä
  • Viestejä: 1940
    • Profiili
Vs: Gimpin raw-editori
« Vastaus #7 : 22.12.18 - klo:20.29 »
.... Aivan hirveä sotku nyt tuli tuon Levyt-ohjelma sotkeman fstabin takia!!!

Onneksi nano on ystäväsi :)

Koodia: [Valitse]
cp /etc/fstab ~/fstab.safe
sudo nano -w /etc/fstab

Tarkista mitä siellä on, ja miten mounttaus ohjeistettu.
Sitten vaan korjaat ja tallennat...

New_user

  • Käyttäjä
  • Viestejä: 1086
    • Profiili
Vs: Gimpin raw-editori
« Vastaus #8 : 23.12.18 - klo:10.17 »
raimo@kone-2:~$ gimp --version
GNU Image Manipulation Program version 2.8.22


Ehkä 18.04:n oletusversio toimisi paremmin?
Koodia: [Valitse]
sudo apt install gimp
Sitä ennen lienee syytä poistaa tuo snap -asennus.
En osaa neuvoa miten kun olen snapistä ulkona kuin jouluinen lumiukkeli. :)

edit: Google kertoo että menee ihan näin remove:lla:
Koodia: [Valitse]
sudo snap remove gimp
edit2: sori sinulla olikin 16.04, siinä voi olla vanhempi gimp?

Gimp on uusin ja asennettu Ohjelmistot-ohjelmalla. Jos asennan normisti, tulee 2.8.16-versio, ja sitä en halua, kun pitää olla vähintääm 16-bit värissyvyys. En tiedä miten saisi 2.10 asennetuksi normi-, ei snap-asennuksena!

Kehitysversiot 2.9,x toimivat hienosti. En tiedä miksi ei tämä 2.10 huoli mitään ohjelmaa raw-editoriksi, vaikka 2.9 näytti niitä import-valikossa kolmekin, joista sai valita mieleisen.

Mulla on toisessa koneessa tuo kehitysversio. En tiedä mitä tapahtuisi, jos yrittäisi kopsia sieltä /usr/bin hakemistosta binäärin tämän koneen vastaavaan hakemistoon?

Tosi ikävää, että menivät ohjelmat näin sekaisin. Harmittaa tosi paljon. Kiitos vastanneille. 18.04:ään en nyt vaihda ja taas teetä lisätyötä itselleni!

Jakke77

  • Käyttäjä
  • Viestejä: 3593
  • Oulu (Oinaansuo)
    • Profiili
Vs: Gimpin raw-editori
« Vastaus #9 : 23.12.18 - klo:11.52 »
Koodia: [Valitse]
sudo add-apt-repository ppa:otto-kesselgulasch/gimp
sudo apt update && sudo apt install gimp

ei tarvii snappia :)
U_G_H

Aspire E5-575G V1.27 CPU: Intel i3-6100U (4) @ 2.300GHz GPU: Intel® HD Graphics 520 GPU: NVIDIA GeForce 940MX

New_user

  • Käyttäjä
  • Viestejä: 1086
    • Profiili
Vs: Gimpin raw-editori
« Vastaus #10 : 23.12.18 - klo:12.37 »
Koodia: [Valitse]
sudo add-apt-repository ppa:otto-kesselgulasch/gimp
sudo apt update && sudo apt install gimp

ei tarvii snappia :)

Ojasta allikkoon, tulee Gimp 2.8.22 ja se ei käy mulle. :(

Postimies

  • Käyttäjä
  • Viestejä: 2228
    • Profiili
Vs: Gimpin raw-editori
« Vastaus #11 : 24.12.18 - klo:00.47 »
Eikö kuvaa voi käyttää RAW-editorissa ja tallentaa se. Sitten avata se Gimpissä jos tarvetta. Itse en juuri Gimppiä käytä ja en ole varma tarvitaanko 16 bit värisyvyyttä mihinkään. Kokoa kuviin ainakin tulee.

Tästä reposta pitäisi tulla 2.10 sudo add-apt-repository ppa:otto-kesselgulasch/gimp
Ubuntun pitää olla vähäntään 18.04

raimo

  • Käyttäjä
  • Viestejä: 3276
    • Profiili
Vs: Gimpin raw-editori
« Vastaus #12 : 25.12.18 - klo:14.55 »
Tuli mieleeni että saattaa olla että se ohjelma lisää gimp -sanan siihen polkuun itse, joten kokeile vielä tätä:
/snap/bin/ viimistä / -merkkiäkään ei ehkä tarvita?
So long and thanks for all the fish!

New_user

  • Käyttäjä
  • Viestejä: 1086
    • Profiili
Vs: Gimpin raw-editori
« Vastaus #13 : 26.12.18 - klo:11.06 »
Tuli mieleeni että saattaa olla että se ohjelma lisää gimp -sanan siihen polkuun itse, joten kokeile vielä tätä:
/snap/bin/ viimistä / -merkkiäkään ei ehkä tarvita?

En ole jaksanut pariin päivään taistella asian kanssa, mutta nyt kun on vanha Gimp 2.8.22 asennettuna, ja menin Corelin Aftershot Pro 3:een, ja yritin vaihtaa ulkoista editoria, Ohjelma kirjoitti sinne itsestään gimp-2. Uudempi 2.10 kun kirjoittaa sinne snap, ja kun sen hyväksyy, ja yrittää Corelissa sitten painaa ulkoisen editorin nappia, jossa lukee vain > ei tapahdu mitään. Tällä vanhalla Gimpillä kuva siirtyy automaagisesti Gimpiin Corelista ja napissa on se  Gimpin ikoni. Edelleen siis hakusessa:

1. keino, jolla saa Gimpin 2.10 raw-editoripluginit kohdilleen
2. Gimpin 2.10 deb-paketti, jolla saisi Gimpin asentumaan normisti /usr/bin hakemistoon
3. tai Gimpin 2.9x kehitysversion deb-paketti jostain. Entisestä ..../edge PPA:sta ei se ainakaan minulle lataudu, vaikka PPA:n ottaa oikein käyttöön ja ajaa apt updaten





nm

  • Käyttäjä
  • Viestejä: 12897
    • Profiili
Vs: Gimpin raw-editori
« Vastaus #14 : 26.12.18 - klo:12.32 »
Onnistuu helpoiten päivittämällä Ubuntu 18.04:ään.

New_user

  • Käyttäjä
  • Viestejä: 1086
    • Profiili
Vs: Gimpin raw-editori
« Vastaus #15 : 26.12.18 - klo:17.50 »
Onnistuu helpoiten päivittämällä Ubuntu 18.04:ään.

Pelkäänpä, että tiedossa on vain lisää ongelmia. Kuvauskopterin (DJI Pro) DNG-tiedosto ei kelpaa kuin (ainakin) Darktable 2.03:lle. Sen onnistuin jonkin mutkan takaa asentamaan tähän takaisin. Uudempi Darktable 2.2 urputtaa, ettei voi lukea kuvan valkobalanssitietoa.  Corelin Aftershot Pro 3:lle ei kyseinen  DNG kelpaa ollenkaan. Tämä on siis kaikilta osin herkkä tilanne, kun pitäisi saada aikaiseksi asioita, eikä tapella softien kanssa. Gimpin 2.9.x:llä kaikki pelasi tosi hienosti yhteen. Ikävää, että päivitykset uudempaan vievät kokonaisuuden kiville :(

jekku

  • Käyttäjä
  • Viestejä: 1940
    • Profiili
Vs: Gimpin raw-editori
« Vastaus #16 : 26.12.18 - klo:18.11 »
Kuinkas paha nakki olisi vaihtaa sen kopterin kamera?

Postimies

  • Käyttäjä
  • Viestejä: 2228
    • Profiili
Vs: Gimpin raw-editori
« Vastaus #17 : 26.12.18 - klo:18.18 »

Pelkäänpä, että tiedossa on vain lisää ongelmia. Kuvauskopterin (DJI Pro) DNG-tiedosto ei kelpaa kuin (ainakin) Darktable 2.03:lle. Sen onnistuin jonkin mutkan takaa asentamaan tähän takaisin. Uudempi Darktable 2.2 urputtaa, ettei voi lukea kuvan valkobalanssitietoa.  Corelin Aftershot Pro 3:lle ei kyseinen  DNG kelpaa ollenkaan. Tämä on siis kaikilta osin herkkä tilanne, kun pitäisi saada aikaiseksi asioita, eikä tapella softien kanssa. Gimpin 2.9.x:llä kaikki pelasi tosi hienosti yhteen. Ikävää, että päivitykset uudempaan vievät kokonaisuuden kiville :(
Uusin darktable on 2.6.0. Itsellä yksi tiedosto jota DT ei voi lukea ja valittaa samaa syytä. DT 2.4 taitaa nyt itsellä olla Ubuntussa 16. Rinnalla uudempi U 18 mutta käytän vähän. Asennus hieman kesken ja kauko-ohjain ongelma odottaa ratkaisua. Mihin tarvitset Gimppiä? DT tekee melkein mitä vaan paitsi ei tasoja.

Kopterin kameran vaihto turha, jos DT kerran sen avaa. RT vaihtoehto.

New_user

  • Käyttäjä
  • Viestejä: 1086
    • Profiili
Vs: Gimpin raw-editori
« Vastaus #18 : 27.12.18 - klo:10.14 »
Kiitos taas vastanneille. Kopterin kameran vaihto ei missään tapauksessa tule kysymyjseen. Se on DJI Phantom  4 Pro:n oma kamera Sonyn 1" kennolla ja 24mm optiikalla, joka tekee minulle riittävän hyvää jälkeä. Saa metrisen vedoksen kyllä kuvista. Gimp on Photoshopin korvaaja minulla, ja käytän sitä kaikkeen yleisluontoiseen kuvankäsittelyyn nyt kun se alkaa olla sillä tasolla, että sillä voi oikeasti jotain tehdä. Gimpissä, ainakin siinä 2.9x kehitysversiossa oli, hyvä optisen vääristymän korjaus, jolla kaartunut horisonttikin oikeni napin painalluksella, kun sain asetukset kohdilleen. Korjailen myös usein jpeg-kuvia eri lähteistä, ja silloin on kannattavaa kääntää kuva ensin 16-bittiseksi, tehdä muutokset ja tallentaa sitten. Gimpistä en siis luovu, ja käyttöliittymä nykyisellään on kohtuullisesti Photoshoppia mukaileva (KIITOS!!!), jotta ei kaikkea tarvitse etsiä aina uudelleen.

En usko, että olisi nyt suuri homma saada sinne 2.10 import-kohtaa oikea lause naputelluks (jos joku tietäisi)i, jotta Gimp osaisi käyttää esim. Darktablea suoraan, koska kehitysversiokin sen osasi ihan itsestään! Apuja siis kaivataan edelleen. Lisäksi se, miksi ei Darktable (ainakin 2.4) ei saa kopterin DNG-tiedostoa auki, kaipaisi korjausta. Voin toimittaa DNG-tiedoston, jos tarvitaan. Hyvää loppuvuotta toivottaen :)
« Viimeksi muokattu: 27.12.18 - klo:10.16 kirjoittanut New_user »

New_user

  • Käyttäjä
  • Viestejä: 1086
    • Profiili
Vs: Gimpin raw-editori
« Vastaus #19 : 27.12.18 - klo:11.39 »
Ehkä hivenen lähempänä ratkaisua, en tiedä.

Otin aiemmin käyttämäni Lenovon läppärin käyttöön, siinä oli Gimp 2.9.9, mutta ei Darktablea. Sain siihen asennetuksi Synapticilla Darktable 2.03:n. Heti sitten Gimpin ja sen asetukset Import-kohdasta avattuani, siellä lukee näin:

${gimp-plugin-dir}/plug-ins/file-raw-placeholder
${gimp-plugin-dir}/plug-ins/file-darktable

ja yhteistyö Gimpin (siis 2.9.9) ja Darktable 2.03:n kanssa toimi moitteetta, eli raw-kuvan aukaisu Gimpillä avaa Darktablen, jonka suljettuani kuva siirtyy Gimpiin. Kaiveltuani mahdollisia plugin-hakemistoja oikea plugin löytyi /usr/lib/GIMP/2.9/file-darktable .

Kysymys kuuluukin, mahtaisiko kyseinen file-darktable -plugin toimia 2.10 (snap asennus) kanssa, ja minnehän se pitäisi toiseen koneeseen kopioida. Käsin tuota plugin-lausetta ei pysty asetuksiin lisäämään kaiketikaan, vaan Gimpin pitää se plugin löytää itse. Molemmissa koneissa siis 16.04 ja Gnome Flashback.